#ifndef TOPOLOGY_AUX_H
#define TOPOLOGY_AUX_H

// Includes
#include <stdio.h>
#include <math.h>
#include <vector>
#include <armadillo>

#include "topology_tools.h"
#include "subh_utils.h"

// In the following "transMat" is a Nx3 matrix
SimplicesList Create_2Sphere
		(arma::mat transMat=arma::eye<arma::mat>(3,3), arma::vec transVec=arma::zeros<arma::vec>(3), 
			double Dtheta=PI_CONST/8.0, double Dphi=PI_CONST/8.0);
SimplicesList Create_2Torus
		(arma::mat transMat=arma::eye<arma::mat>(3,3), arma::vec transVec=arma::zeros<arma::vec>(3), 
			double aspect=2.0, double Dtheta=PI_CONST/8.0, double Dphi=PI_CONST/8.0);

#endif

